Remove tag from contact
curl --request DELETE \
--url https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}/tags \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"tagId": "<string>",
"value": "<string>"
}
'const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tagId: '<string>', value: '<string>'})
};
fetch('https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}/tags"
payload = {
"tagId": "<string>",
"value": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)$headers=@{}
$headers.Add("x-api-key", "<api-key>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}/tags' -Method DELETE -Headers $headers -ContentType 'application/json' -Body '{
"tagId": "<string>",
"value": "<string>"
}'{
"modifiedCount": 123,
"tag": {
"tagId": "<string>",
"value": "<string>"
},
"removedTagIds": [
"<string>"
],
"removedValues": [
"<string>"
]
}{
"code": "UNHANDLED_EXCEPTION",
"error": "Unexpected error"
}{
"code": "UNHANDLED_EXCEPTION",
"error": "Unexpected error"
}{
"code": "UNHANDLED_EXCEPTION",
"error": "Unexpected error"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "<string>",
"retryAfterSeconds": 123
}{
"code": "UNHANDLED_EXCEPTION",
"error": "Unexpected error"
}{
"code": "UNHANDLED_EXCEPTION",
"error": "Unexpected error"
}Contacts
Remove contact tag
Remove a tag from a contact.
DELETE
/
contacts
/
{contactId}
/
tags
Remove tag from contact
curl --request DELETE \
--url https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}/tags \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"tagId": "<string>",
"value": "<string>"
}
'const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tagId: '<string>', value: '<string>'})
};
fetch('https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}/tags"
payload = {
"tagId": "<string>",
"value": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)$headers=@{}
$headers.Add("x-api-key", "<api-key>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}/tags' -Method DELETE -Headers $headers -ContentType 'application/json' -Body '{
"tagId": "<string>",
"value": "<string>"
}'{
"modifiedCount": 123,
"tag": {
"tagId": "<string>",
"value": "<string>"
},
"removedTagIds": [
"<string>"
],
"removedValues": [
"<string>"
]
}{
"code": "UNHANDLED_EXCEPTION",
"error": "Unexpected error"
}{
"code": "UNHANDLED_EXCEPTION",
"error": "Unexpected error"
}{
"code": "UNHANDLED_EXCEPTION",
"error": "Unexpected error"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "<string>",
"retryAfterSeconds": 123
}{
"code": "UNHANDLED_EXCEPTION",
"error": "Unexpected error"
}{
"code": "UNHANDLED_EXCEPTION",
"error": "Unexpected error"
}Send
tagId or the tag name as value in the request body.
Rate limit: 30 requests/minute per endpoint and workgroup. Details.Authorizations
Primary public authentication method. Create keys in Jobin.cloud under Workgroups > Integrations > Custom integration.
Path Parameters
Jobin contact identifier.
Pattern:
^[a-fA-F0-9]{24}$Body
application/json
- Option 1
- Option 2
Tag add/remove input. Provide tagId when using an existing Jobin tag, or value when the automation only knows the human-readable tag label.
Existing Jobin tag identifier.
Pattern:
^[a-fA-F0-9]{24}$Tag label to create/reuse for add operations, or remove by value for remove operations.
Required string length:
1 - 256Optional icon name used when creating a new tag by value.
Required string length:
1 - 256Optional tag color/style used when creating a new tag by value.
Required string length:
1 - 256